Get All Channel Templates
curl --request GET \
--url https://api.example.com/api/v1/public/template/versions/{versionId}/channel-templates \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "<string>",
"search": "<string>",
"sort": "<string>",
"page": 123,
"size": 123
}
'import requests
url = "https://api.example.com/api/v1/public/template/versions/{versionId}/channel-templates"
payload = {
"channel": "<string>",
"search": "<string>",
"sort": "<string>",
"page": 123,
"size": 123
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: '<string>',
search: '<string>',
sort: '<string>',
page: 123,
size: 123
})
};
fetch('https://api.example.com/api/v1/public/template/versions/{versionId}/channel-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Template APIs
Get All Channel Templates
Get Channel Templates of a template version with filtering and pagination
GET
/
api
/
v1
/
public
/
template
/
versions
/
{versionId}
/
channel-templates
Get All Channel Templates
Header
string
required
Bearer token for API authentication. Format:
Bearer {{apiToken}}Query Parameters
uuid
required
The ID of the template version.
Body Parameters
string
Filter channel templates by channel.
string
Search channel templates by field.
string
Sort channel templates by field.
integer
Page number for pagination. Default: 0.
integer
Number of items per page. Default: 10.
Was this page helpful?
⌘I